#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ortp
Version		:	5.2.73
Release		:	14.4.0.0%{?dist}
Summary		:	A C library implementing the RTP protocol (RFC3550)

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ and VSL
URL		:	https://gitlab.linphone.org/BC/public/ortp

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-set_current_version.patch
Patch1		:	%{name}-%{version}-add_bctoolbox_requires_and_fix_libdir_location.patch
Patch2		:	%{name}-%{version}-oxygen_remove_obsolete_elements.patch

#-----------------------------------------------------------------------------
BuildRequires	:	bctoolbox-devel
BuildRequires	:	bctoolbox-tester
BuildRequires	:	doxygen
BuildRequires	:	gcc
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
oRTP is a C library that implements RTP (RFC3550).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.txt
%{_bindir}/%{name}_tester
%{_libdir}/lib%{name}.so.15*

#=============================================================================
%package		devel
Summary		:	Development libraries for ortp
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Libraries and headers required to develop software
with ortp.
 

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/cmake/%{name}/%{name}*.cmake
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		tests
Summary		:	Binary used to test %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}-devel	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tests
Provide binaries to test ortp protocol

#-----------------------------------------------------------------------------
%files			tests
%defattr(-,root,root,-)
%{_bindir}/mrtp*
%{_bindir}/rtp*
%{_bindir}/test_timer
%{_bindir}/tevrtp*
%{_defaultdocdir}/%{name}-%{version}/html/*.css
%{_defaultdocdir}/%{name}-%{version}/html/*.js
%{_defaultdocdir}/%{name}-%{version}/html/*.html
%{_defaultdocdir}/%{name}-%{version}/html/*.png
%{_defaultdocdir}/%{name}-%{version}/html/*.svg

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

sed -i							\
  -e "s/^WARN_AS_ERROR/#WARN_AS_ERROR/"			\
  ortp.doxygen.in
#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	.						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_SKIP_INSTALL_RPATH=ON			\
	-D ENABLE_DOC=YES				\
	-D ENABLE_STATIC=NO				\
	-D ENABLE_TESTS=YES				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

# Remove not required (should not be generated) versioned folder in docs.
pushd %{buildroot}%{_datadir}/doc/ortp-%{version}
%{__rm}  						\
	AUTHORS.md					\
	CHANGELOG.md					\
	LICENSE.txt					\
	README.md
popd
#-----------------------------------------------------------------------------
%changelog
